class DaoTable {
  final Type model;
  final String primaryKey;

  const DaoTable(
    this.model, {
    this.primaryKey,
  });
}
abstract class ModelTable {
  String get name;
  String get primaryKey;
  List<SqlField> get fields;
}

class SqlField {
  final SqlType type;
  final String name;
  final bool autoIncrement;
  bool isPrimary;

  SqlField(this.type, this.name, this.isPrimary, this.autoIncrement);
}

enum SqlType { INTEGER, REAL, TEXT, BLOB }
